## xml2rfc 1.35

=== Makefile ===
all:	format samples dtd

release=dev

format:	README.txt README.html \
	draft-mrose-writing-rfcs.txt draft-mrose-writing-rfcs.html \
	example.txt example.html \
	test.txt

.PHONY:	dist samples

samples:
	$(MAKE) -C samples
	

%.txt:	%.xml xml2rfc.tcl
	tclsh xml2rfc.tcl xml2rfc $< $@

%.html:	%.xml xml2rfc.tcl
	tclsh xml2rfc.tcl xml2rfc $< $@

dist:
	tools/mdist.sh $(release)

dtd:	rfc2629.rnc rfc2629.rng rfc2629.xsd

%.rng:	%.dtd
	$(MAKE) -C tools
	java -jar tools/trang.jar -I dtd -O rng $< $@

%.rnc:	%.dtd
	$(MAKE) -C tools
	java -jar tools/trang.jar -I dtd -O rnc $< $@

%.xsd:	%.dtd
	$(MAKE) -C tools
	java -jar tools/trang.jar -I dtd -O xsd $< $@

=== samples/Makefile ===
all:	format

XML= rfc2616.xml rfc3470.xml rfc3986.xml rfc5234.xml rfc5322.xml \
	sample.ipr.id.noDerivativesTrust200902.200909.xml \
	sample.ipr.id.noModificationTrust200902.200909.xml \
	sample.ipr.id.pre5378Trust200902.200909.xml \
	sample.ipr.id.pre5378Trust200902.200912.xml \
	sample.ipr.id.trust200902.200909.xml \
	sample.ipr.id.trust200902.200911.xml \
	sample.ipr.id.trust200902.200912.xml \
	sample.ipr.id.trust200902.201006.iab.xml \
	sample.ipr.id.trust200902.201006.ietf.xml \
	sample.ipr.id.trust200902.201006.ind.xml \
	sample.ipr.id.trust200902.201006.irtf.xml \
	sample.ipr.id.trust200902.201006.xml \
	sample.ipr.rfc.200201.xml \
	sample.ipr.rfc.200609.xml \
	sample.ipr.rfc.200808.xml \
	sample.ipr.rfc.200812.xml \
	sample.ipr.rfc.200906.xml \
	sample.ipr.rfc.200907.xml \
	sample.ipr.rfc.200909.xml \
	sample.ipr.rfc.200912.xml \
	sample.ipr.rfc.201001.iab.hist.xml \
	sample.ipr.rfc.201001.iab.inf.xml \
	sample.ipr.rfc.201001.ietf.bcp.c.xml \
	sample.ipr.rfc.201001.ietf.exp.c.xml \
	sample.ipr.rfc.201001.ietf.exp.nc.xml \
	sample.ipr.rfc.201001.ietf.hist.c.xml \
	sample.ipr.rfc.201001.ietf.hist.nc.xml \
	sample.ipr.rfc.201001.ietf.inf.c.xml \
	sample.ipr.rfc.201001.ietf.inf.nc.xml \
	sample.ipr.rfc.201001.ietf.std.c.xml \
	sample.ipr.rfc.201001.ind.exp.xml \
	sample.ipr.rfc.201001.ind.hist.xml \
	sample.ipr.rfc.201001.ind.inf.xml \
	sample.ipr.rfc.201001.irtf.exp.c.xml \
	sample.ipr.rfc.201001.irtf.exp.nc.xml \
	sample.ipr.rfc.201001.irtf.exp.norg.xml \
	sample.ipr.rfc.201001.irtf.hist.c.xml \
	sample.ipr.rfc.201001.irtf.hist.nc.xml \
	sample.ipr.rfc.201001.irtf.hist.norg.xml \
	sample.ipr.rfc.201001.irtf.inf.c.xml \
	sample.ipr.rfc.201001.irtf.inf.nc.xml \
	sample.ipr.rfc.201001.irtf.inf.norg.xml \
	sample.ipr.rfc.pre5378Trust200902.200912.xml \
	sample.ref.annotation.xml \
	sample.basic.xml

# test files for which NROFF generation currently fails
XMLNONROFF= sample.ipr.id.noModification3978.200606.xml

TXT= $(XML:.xml=.txt) $(XMLNONROFF:.xml=.txt)
HTML= $(XML:.xml=.xml2rfc.html) $(XMLNONROFF:.xml=.xml2rfc.html)
NR= $(XML:.xml=.nr)

format:	$(TXT) $(HTML) $(NR)

%.txt:	%.xml ../xml2rfc.tcl
	tclsh ../xml2rfc.tcl xml2rfc $< $@

# when generating nroff, drop the version & date comment line
%.nr:	%.xml ../xml2rfc.tcl
	tclsh ../xml2rfc.tcl xml2rfc $< $@
	tr -d "\015" < $@ | fgrep -v "automatically generated by xml2rfc" > $@.tmp
	mv $@.tmp $@

%.xml2rfc.html:	%.xml ../xml2rfc.tcl
	tclsh ../xml2rfc.tcl xml2rfc $< $@

=== debian/changelog ===
xml2rfc (1.35-1) unstable; urgency=low

  * New Upstream Release.
  * switch to 3.0 (quilt) source format.
  * bump standards version to 3.8.4 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 18 Apr 2010 18:07:48 -0400

xml2rfc (1.34-1) unstable; urgency=low

  * Taking over package (thanks for all your work, Florian!)
  * New Upstream version (Closes: #506652, #555288).
  * Move to non-free while waiting on resolution of IETF licensing
    for embedded blurbs.  Add more info about the licensing situation,
    including text of IETF-Trust-License-Policy.
  * debian/copyright: made machine-readable.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 03 Dec 2009 16:26:19 -0500

xml2rfc (1.33.dfsg-1) unstable; urgency=low

  * New upstream version.
  * Compatible with tcl8.5.  Closes: #466237.

 -- Florian Weimer <fw@deneb.enyo.de>  Sun, 09 Mar 2008 09:13:27 +0100

xml2rfc (1.32.dfsg-1) unstable; urgency=low

  * New upstream version.  Closes: #407591.

 -- Florian Weimer <fw@deneb.enyo.de>  Sat, 20 Jan 2007 11:14:41 +0100

xml2rfc (1.31.dfsg-1) unstable; urgency=low

  * New upstream version.  Closes: #380492.
  * Bump Standards-Version.  No changes required.

 -- Florian Weimer <fw@deneb.enyo.de>  Mon, 21 Aug 2006 07:43:55 +0200

xml2rfc (1.30.dfsg-1) unstable; urgency=low

  * Remove non-DFSG material from upstream tarball.

 -- Florian Weimer <fw@deneb.enyo.de>  Sat, 21 Jan 2006 15:50:32 +0100

xml2rfc (1.30-1) unstable; urgency=low

  * New upstream release.
  * Install additional entity files.

 -- Florian Weimer <fw@deneb.enyo.de>  Tue, 16 Aug 2005 09:47:49 +0200

xml2rfc (1.29-1) unstable; urgency=low

  * New upstream release.
  * Updates boilerplates, partially fixing Debian bug #303131.  More
    IETF-conformance changes are expected.

 -- Florian Weimer <fw@deneb.enyo.de>  Tue,  3 May 2005 13:24:18 +0200

xml2rfc (1.26-1) unstable; urgency=low

  * New upstream release.
  * Fix unwanted localization.  Closes: 274191.

 -- Florian Weimer <fw@deneb.enyo.de>  Thu, 30 Sep 2004 11:11:54 +0200

xml2rfc (1.25-1) unstable; urgency=low

  * New upstream release.
  * Add watch file.  Closes: #258182.

 -- Florian Weimer <fw@deneb.enyo.de>  Tue, 17 Aug 2004 10:25:18 +0200

xml2rfc (1.24-2) unstable; urgency=low

  * Repackage as a non-native package.

 -- Florian Weimer <fw@deneb.enyo.de>  Sat, 10 Jul 2004 11:45:26 +0200

xml2rfc (1.24-1) unstable; urgency=low

  * New upstream release.  Closes: #258182.

 -- Florian Weimer <fw@deneb.enyo.de>  Sat, 10 Jul 2004 11:25:42 +0200

xml2rfc (1.23-1) unstable; urgency=low

  * New upstream release

 -- Florian Weimer <fw@deneb.enyo.de>  Sun,  4 Apr 2004 12:20:35 +0200

xml2rfc (1.22-1) unstable; urgency=low

  * New upstream release

 -- Florian Weimer <fw@deneb.enyo.de>  Fri, 27 Feb 2004 11:19:46 +0100

xml2rfc (1.21-1) unstable; urgency=low

  * New upstream release

 -- Florian Weimer <fw@deneb.enyo.de>  Thu, 20 Nov 2003 15:08:34 +0100

xml2rfc (1.20-1) unstable; urgency=low

  * New upstream release
  
  * Upstream now incorporates the relevant parts of the "--"/"+" fix.
  
  * Fixed typo in manpage.
  
  * Updated copyright statement.
  
 -- Florian Weimer <fw@deneb.enyo.de>  Sun, 14 Sep 2003 12:12:12 +0200

xml2rfc (1.15-2) unstable; urgency=low

  * Dont rely on "--" is "+".  Closes: #185793.
    (Basic patch from Chris Waters, slightly extended.)

  * Remove debian/files in "clean" target.

 -- Florian Weimer <fw@deneb.enyo.de>  Sat, 22 Mar 2003 18:23:45 +0100

xml2rfc (1.15-1) unstable; urgency=low

  * First version. Closes: #175412.
  
 -- Florian Weimer <fw@deneb.enyo.de>  Sun,  5 Jan 2003 12:20:54 +0100

=== debian/control ===
Source: xml2rfc
Section: non-free/text
Priority: optional
Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Standards-Version: 3.8.4
Homepage: http://xml.resource.org/

Package: xml2rfc
Architecture: all
Depends: tcl8.5 | tclsh, sgml-base
Suggests: wish
Description: XML-based formatting tool for RFCs
 This package provides xml2rfc, a tool which creates text, HTML and
 nroff output in the format required for Internet-Drafts and RFCs.  The
 text and nroff output is suitable for input to the RFC editor.
 .
 The DTD used by the XML documents is described in RFC 2629.

=== debian/rules ===
#!/usr/bin/make -f

STAGING = debian/tmp
DOCDIR_REL = usr/share/doc/xml2rfc
DOCDIR = $(STAGING)/$(DOCDIR_REL)

build: build-stamp
build-stamp:
	touch build-stamp

clean:
	-rm -f build-stamp debian/files
	-rm -rf $(STAGING)


install: build
	rm -rf $(STAGING)
	install -d $(STAGING)/DEBIAN
	install -d $(STAGING)/usr/bin
	install -d $(STAGING)/usr/share/man/man1
	install -d $(STAGING)/usr/share/sgml/xml2rfc/dtd
	install -d $(DOCDIR)/examples

	install -m 755 debian/postinst $(STAGING)/DEBIAN/
	install -m 755 debian/prerm $(STAGING)/DEBIAN/

	install -m 644 debian/copyright $(DOCDIR)/
	install -m 644 debian/changelog $(DOCDIR)/changelog.Debian
	gzip -9 $(DOCDIR)/changelog.Debian
	install -m 644 *.txt *.html $(DOCDIR)
	install -m 644 debian/IETF-Trust-License-Policy.txt $(DOCDIR)
	gzip -9 $(DOCDIR)/*.txt $(DOCDIR)/*.html

	install -m 644 *.xml $(DOCDIR)/examples
	gzip -9 $(DOCDIR)/examples/*

	install -m 755 xml2rfc.tcl $(STAGING)/usr/bin/xml2rfc
	install -m 644 debian/xml2rfc.1 $(STAGING)/usr/share/man/man1/
	gzip -9 $(STAGING)/usr/share/man/man1/xml2rfc.1

	install -m 644 debian/catalog $(STAGING)/usr/share/sgml/xml2rfc/
	install -m 644 rfc2629.dtd $(STAGING)/usr/share/sgml/xml2rfc/dtd/
	install -m 644 rfc2629-xhtml.ent $(STAGING)/usr/share/sgml/xml2rfc/dtd/
	install -m 644 rfc2629-other.ent $(STAGING)/usr/share/sgml/xml2rfc/dtd/

# Build architecture-independent files here.
binary-indep: build install
	dpkg-gencontrol -isp -pxml2rfc
	chown -R root.root $(STAGING)
	chmod -R g-ws $(STAGING)
	dpkg --build debian/tmp ..


# Build architecture-dependent files here.
binary-arch: build install

# Create a tarball from the (modified) GIT sources.
create-tarball:
	version=`dpkg-parsechangelog \
	  | sed -ne '/^Version: /{s/Version: \(.*\)\.dfsg-.*/\1/;p;q}'`; \
	git-tar-tree v$$version xml2rfc-$$version | gzip -9 \
	  > ../xml2rfc_$$version.dfsg.orig.tar.gz

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install create-tarball

## xml2rfc 1.36

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 all:	format samples dtd
 
-release=dev
+release=1.36
 
 format:	README.txt README.html \
 	draft-mrose-writing-rfcs.txt draft-mrose-writing-rfcs.html \
@@ -18,6 +18,8 @@
 
 %.html:	%.xml xml2rfc.tcl
 	tclsh xml2rfc.tcl xml2rfc $< $@
+	tr -d "\015" < $@ | fgrep -v '<meta name="generator" content="xml2rfc' > $@.tmp
+	mv $@.tmp $@
 
 dist:
 	tools/mdist.sh $(release)

=== samples/Makefile ===
--- 
+++ 
@@ -1,10 +1,11 @@
-all:	format
+all:	format regression
 
 XML= rfc2616.xml rfc3470.xml rfc3986.xml rfc5234.xml rfc5322.xml \
 	sample.ipr.id.noDerivativesTrust200902.200909.xml \
 	sample.ipr.id.noModificationTrust200902.200909.xml \
 	sample.ipr.id.pre5378Trust200902.200909.xml \
 	sample.ipr.id.pre5378Trust200902.200912.xml \
+	sample.ipr.id.pre5378Trust200902.201011.xml \
 	sample.ipr.id.trust200902.200909.xml \
 	sample.ipr.id.trust200902.200911.xml \
 	sample.ipr.id.trust200902.200912.xml \
@@ -21,6 +22,7 @@
 	sample.ipr.rfc.200907.xml \
 	sample.ipr.rfc.200909.xml \
 	sample.ipr.rfc.200912.xml \
+	sample.ipr.rfc.201001.iab.exp.xml \
 	sample.ipr.rfc.201001.iab.hist.xml \
 	sample.ipr.rfc.201001.iab.inf.xml \
 	sample.ipr.rfc.201001.ietf.bcp.c.xml \
@@ -45,6 +47,7 @@
 	sample.ipr.rfc.201001.irtf.inf.norg.xml \
 	sample.ipr.rfc.pre5378Trust200902.200912.xml \
 	sample.ref.annotation.xml \
+	sample.nested.xml \
 	sample.basic.xml
 
 # test files for which NROFF generation currently fails
@@ -55,15 +58,27 @@
 NR= $(XML:.xml=.nr)
 
 format:	$(TXT) $(HTML) $(NR)
+format-txt: $(TXT)
+format-html: $(HTML)
+format-nr: $(NR)
+
+bps: $(BP:.xml=.txt)
 
 %.txt:	%.xml ../xml2rfc.tcl
 	tclsh ../xml2rfc.tcl xml2rfc $< $@
 
 # when generating nroff, drop the version & date comment line
 %.nr:	%.xml ../xml2rfc.tcl
-	tclsh ../xml2rfc.tcl xml2rfc $< $@
-	tr -d "\015" < $@ | fgrep -v "automatically generated by xml2rfc" > $@.tmp
-	mv $@.tmp $@
+	tclsh ../xml2rfc.tcl xml2rfc $< tmp.$@
+	@tr -d "\015" < tmp.$@ | fgrep -v "automatically generated by xml2rfc" > $@
+	@rm -f tmp.$@
 
 %.xml2rfc.html:	%.xml ../xml2rfc.tcl
-	tclsh ../xml2rfc.tcl xml2rfc $< $@
+	tclsh ../xml2rfc.tcl xml2rfc $< tmp.$@
+	@tr -d "\015" < tmp.$@ | fgrep -v '<meta name="generator" content="xml2rfc' > $@
+	@rm -f tmp.$@
+
+regression:	format
+	svn diff > tmp.$$$$ ; \
+	[ -s tmp.$$$$ ] && ( echo ; echo ; echo "There are regressions in the generated sample files, please check:" ; echo ; cat tmp.$$$$ ) ; \
+	rm -f tmp.$$$$

=== debian/changelog ===
xml2rfc (1.36-2) unstable; urgency=low

  * added postrm script to purge /etc/sgml/xml2rfc.cat{,.old}
    (Closes: #656170) (thanks to Andreas Beckmann for the report,
    and dh_installcatalogs for the example fix).
  * debian/rules: updated to include build-{arch,indep} targets.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 17 Jan 2012 00:01:44 -0500

xml2rfc (1.36-1) unstable; urgency=low

  * New Upstream Release (Closes: #626929)
  * bumped Standards-Version to 3.9.2 (no changes needed)
  * updated debian/copyright to DEP5 rev 174

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 16 May 2011 11:38:49 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: non-free/text
 Priority: optional
 Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Homepage: http://xml.resource.org/
 
 Package: xml2rfc

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,11 @@
 DOCDIR_REL = usr/share/doc/xml2rfc
 DOCDIR = $(STAGING)/$(DOCDIR_REL)
 
-build: build-stamp
+# boilerplate according to:
+# lintian-info --tags debian-rules-missing-recommended-target
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	touch build-stamp
 
@@ -23,6 +27,7 @@
 
 	install -m 755 debian/postinst $(STAGING)/DEBIAN/
 	install -m 755 debian/prerm $(STAGING)/DEBIAN/
+	install -m 755 debian/postrm $(STAGING)/DEBIAN/
 
 	install -m 644 debian/copyright $(DOCDIR)/
 	install -m 644 debian/changelog $(DOCDIR)/changelog.Debian

=== debian/watch ===
version=3
http://xml.resource.org/authoring/ xml2rfc-([0-9.]*)\.tgz

## xml2rfc 2.4.3

=== Makefile ===
# Simple makefile which mostly encapsulates setup.py invocations.  Useful as
# much as documentation as it is for invocation.

#svnrev	:= $(shell svn info | grep ^Revision | awk '{print $$2}' )
datetime_regex = [0-9][0-9][0-9][0-9]-[0-9][0-9]-[0-9][0-9][T_ ][0-9][0-9]:[0-9][0-9]:[0-9][0-9]
version_regex =  "[Vv]ersion.2\.[0-9]"


bin/python:
	echo "Install virtualenv here ($$PWD) in order to run tests locally."

install:
	python --version
	python setup.py --quiet install

test:	install
	pyflakes xml2rfc
	[ -d tests/failed/ ] && rm -f tests/failed/*
	python test.py --verbose

drafttest: install
	[ -d tmp ] || mkdir -p tmp
	[ -d tmp ] && rm -f tmp/*
	@ PYTHONPATH=$$PWD python scripts/xml2rfc --cache tests/cache tests/input/draft-template.xml --base tmp/ --raw --text --nroff --html --exp
	@ diff -I "$(datetime_regex)" -I "$(version_regex)" tests/valid/draft-template.raw.txt	tmp/draft-template.raw.txt	|| { echo "Diff failed for .raw.txt output"; exit 1; }
	@ diff -I "$(datetime_regex)" -I "$(version_regex)" tests/valid/draft-template.txt	tmp/draft-template.txt		|| { echo "Diff failed for .txt output"; exit 1; }
	@ diff -I "$(datetime_regex)" -I "$(version_regex)" tests/valid/draft-template.nroff	tmp/draft-template.nroff 	|| { echo "Diff failed for .nroff output"; exit 1; }
	@ diff -I "$(datetime_regex)" -I "$(version_regex)" tests/valid/draft-template.html	tmp/draft-template.html 	|| { echo "Diff failed for .html output"; exit 1; }
	@ diff -I "$(datetime_regex)" -I "$(version_regex)" tests/valid/draft-template.exp.xml	tmp/draft-template.exp.xml	|| { echo "Diff failed for .exp.xml output"; exit 1; }

miektest: install
	[ -d tmp ] || mkdir -p tmp
	[ -d tmp ] && rm -f tmp/*
	@ PYTHONPATH=$$PWD python scripts/xml2rfc --cache tests/cache tests/input/draft-miek-test.xml --base tmp/ --raw --text --nroff --html --exp
	@ diff -I "$(datetime_regex)" -I "$(version_regex)" tests/valid/draft-miek-test.raw.txt	tmp/draft-miek-test.raw.txt	|| { echo "Diff failed for .raw.txt output"; exit 1; }
	@ diff -I "$(datetime_regex)" -I "$(version_regex)" tests/valid/draft-miek-test.txt	tmp/draft-miek-test.txt		|| { echo "Diff failed for .txt output"; exit 1; }
	@ diff -I "$(datetime_regex)" -I "$(version_regex)" tests/valid/draft-miek-test.nroff	tmp/draft-miek-test.nroff 	|| { echo "Diff failed for .nroff output"; exit 1; }
	@ diff -I "$(datetime_regex)" -I "$(version_regex)" tests/valid/draft-miek-test.html	tmp/draft-miek-test.html 	|| { echo "Diff failed for .html output"; exit 1; }
	@ diff -I "$(datetime_regex)" -I "$(version_regex)" tests/valid/draft-miek-test.exp.xml	tmp/draft-miek-test.exp.xml	|| { echo "Diff failed for .exp.xml output"; exit 1; }

rfctest:  bin/python install
	[ -d tmp ] || mkdir -p tmp
	[ -d tmp ] && rm -f tmp/*
	@ PYTHONPATH=$$PWD python scripts/xml2rfc --cache tests/cache tests/input/rfc6787.xml --base tmp/ --raw --text --nroff --html --exp
	@ diff -I "$(datetime_regex)" -I "$(version_regex)" tests/valid/rfc6787.raw.txt	tmp/rfc6787.raw.txt	|| { echo "Diff failed for .raw.txt output"; exit 1; }
	@ diff -I "$(datetime_regex)" -I "$(version_regex)" tests/valid/rfc6787.txt	tmp/rfc6787.txt 	|| { echo "Diff failed for .txt output"; exit 1; }
	@ diff -I "$(datetime_regex)" -I "$(version_regex)" tests/valid/rfc6787.nroff	tmp/rfc6787.nroff 	|| { echo "Diff failed for .nroff output"; exit 1; }
	@ diff -I "$(datetime_regex)" -I "$(version_regex)" tests/valid/rfc6787.html	tmp/rfc6787.html 	|| { echo "Diff failed for .html output"; exit 1; }
	@ diff -I "$(datetime_regex)" -I "$(version_regex)" tests/valid/rfc6787.exp.xml	tmp/rfc6787.exp.xml 	|| { echo "Diff failed for .exp.xml output"; exit 1; }


tests: test drafttest miektest rfctest

test2:	test
	@ PYTHONPATH=$$PWD python scripts/xml2rfc --cache tests/cache tests/input/rfc6635.xml --text --out tmp/rfc6635.txt	&& diff -I "$(datetime_regex)" -I "$(version_regex)" tests/valid/rfc6635.txt tmp/rfc6635.txt 

upload:
	python setup.py sdist upload --sign
	rsync dist/xml2rfc-$(shell PYTHONPATH=$$PWD python scripts/xml2rfc --version).tar.gz /www/tools.ietf.org/tools/xml2rfc2/cli/
	toolpush /www/tools.ietf.org/tools/xml2rfc2/cli/


changes:
	svn log -r HEAD:1 | sed -n -e 's/^/  * /' -e '1,400p' | egrep -v -- '^  \* (----------|r[0-9]+ |$$)' | head -n -1 | fold -sbw76 | sed -r 's/^([^ ].*)$$/    &/'

=== requirements.txt ===
distribute==0.6.15
lxml==2.3

=== debian/changelog ===
xml2rfc (2.4.3-1) unstable; urgency=low

  * new upstream release (major overhaul to python) (Closes: #727729, #556614)
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * generate man pages from --help output

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 22 Nov 2013 00:38:23 -0800

xml2rfc (1.36-5) unstable; urgency=low

  [ Helmut Grohne ]
  * Always remove /etc/sgml/xml2rfc.cat when it is not a conffile.
    (Closes: #680291)  

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 14 Oct 2012 19:30:24 -0400

xml2rfc (1.36-4) unstable; urgency=low

  * Bump Standards-Version to 3.9.3 (no changes needed)
  * increase build-dep on debhelper to >= 9.20120830, now that #681194 is
    closed (Closes: #680291)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 31 Aug 2012 14:15:56 -0400

xml2rfc (1.36-3) unstable; urgency=low

  [ Helmut Grohne ]
  * Convert to debhelper 9.
  * Especially use dh_installcatalogs. (Closes: #674911, #656170)
  
 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 24 Jun 2012 19:09:07 -0400

=== debian/control ===
Source: xml2rfc
Section: non-free/text
Priority: optional
Build-Depends:
 debhelper (>= 9),
 pyflakes,
 python-lxml,
 python,
 python-setuptools,
 dh-python,
 help2man
Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Standards-Version: 3.9.4
Homepage: https://pypi.python.org/pypi/xml2rfc/

Package: xml2rfc
Architecture: all
Depends:
 python-lxml,
 ${python:Depends},
 ${misc:Depends}
Description: XML-based formatting tool for RFCs
 This package provides xml2rfc, a tool which creates text, HTML and
 nroff output in the format required for Internet-Drafts and RFCs.  The
 text and nroff output is suitable for input to the RFC editor.
 .
 The DTD used by the XML documents is described in RFC 2629.

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/x/xml2rfc/xml2rfc-([0-9.]*)\.tar.gz

## xml2rfc 2.4.7

=== Makefile ===
# Simple makefile which mostly encapsulates setup.py invocations.  Useful as
# much as documentation as it is for invocation.

#svnrev	:= $(shell svn info | grep ^Revision | awk '{print $$2}' )
datetime_regex = [0-9][0-9][0-9][0-9]-[0-9][0-9]-[0-9][0-9][T_ ][0-9][0-9]:[0-9][0-9]:[0-9][0-9]
version_regex =  [Vv]ersion [2N]\(\.[0-9N]\+\)\+\(\.dev\)\?


bin/python:
	echo "Install virtualenv here ($$PWD) in order to run tests locally."

install:
	python --version
	python setup.py --quiet install

test:	install flaketests pytests

flaketests:
	pyflakes xml2rfc
	[ -d tests/failed/ ] && rm -f tests/failed/*

pytests:
	python test.py --verbose

drafttest: install
	[ -d tmp ] || mkdir -p tmp
	[ -d tmp ] && rm -f tmp/*
	@PYTHONPATH=$$PWD python scripts/xml2rfc --cache tests/cache tests/input/draft-template.xml --base tmp/ --raw --text --nroff --html --exp
	@groff -ms -Tascii tmp/draft-template.nroff | ./fix.pl | sed 1,2d > tmp/draft-template.nroff.txt
	@diff -I '$(datetime_regex)' -I '$(version_regex)' tests/valid/draft-template.raw.txt	tmp/draft-template.raw.txt	|| { echo 'Diff failed for .raw.txt output'; exit 1; }
	@diff -I '$(datetime_regex)' -I '$(version_regex)' tests/valid/draft-template.txt	tmp/draft-template.txt		|| { echo 'Diff failed for .txt output'; exit 1; }
	@diff -I '$(datetime_regex)' -I '$(version_regex)' tests/valid/draft-template.nroff	tmp/draft-template.nroff 	|| { echo 'Diff failed for .nroff output'; exit 1; }
	@diff -I '$(datetime_regex)' -I '$(version_regex)' tests/valid/draft-template.html	tmp/draft-template.html 	|| { echo 'Diff failed for .html output'; exit 1; }
	@diff -I '$(datetime_regex)' -I '$(version_regex)' tests/valid/draft-template.exp.xml	tmp/draft-template.exp.xml	|| { echo 'Diff failed for .exp.xml output'; exit 1; }
	@diff -I '$(datetime_regex)' -I '$(version_regex)' tmp/draft-template.nroff.txt tmp/draft-template.txt	|| { echo 'Diff failed for .nroff.txt output'; exit 1; }

miektest: install
	[ -d tmp ] || mkdir -p tmp
	[ -d tmp ] && rm -f tmp/*
	@ PYTHONPATH=$$PWD python scripts/xml2rfc --cache tests/cache tests/input/draft-miek-test.xml --base tmp/ --raw --text --nroff --html --exp
	@groff -ms -Tascii tmp/draft-miek-test.nroff | ./fix.pl | sed 1,2d > tmp/draft-miek-test.nroff.txt
	@ diff -I '$(datetime_regex)' -I '$(version_regex)' tests/valid/draft-miek-test.raw.txt	tmp/draft-miek-test.raw.txt	|| { echo 'Diff failed for .raw.txt output'; exit 1; }
	@ diff -I '$(datetime_regex)' -I '$(version_regex)' tests/valid/draft-miek-test.txt	tmp/draft-miek-test.txt		|| { echo 'Diff failed for .txt output'; exit 1; }
	@ diff -I '$(datetime_regex)' -I '$(version_regex)' tests/valid/draft-miek-test.nroff	tmp/draft-miek-test.nroff 	|| { echo 'Diff failed for .nroff output'; exit 1; }
	@ diff -I '$(datetime_regex)' -I '$(version_regex)' tests/valid/draft-miek-test.html	tmp/draft-miek-test.html 	|| { echo 'Diff failed for .html output'; exit 1; }
	@ diff -I '$(datetime_regex)' -I '$(version_regex)' tests/valid/draft-miek-test.exp.xml	tmp/draft-miek-test.exp.xml	|| { echo 'Diff failed for .exp.xml output'; exit 1; }
	@diff -I '$(datetime_regex)' -I '$(version_regex)' tmp/draft-miek-test.nroff.txt tmp/draft-miek-test.txt	|| { echo 'Diff failed for .nroff.txt output'; exit 1; }

rfctest:  bin/python install
	[ -d tmp ] || mkdir -p tmp
	[ -d tmp ] && rm -f tmp/*
	@ PYTHONPATH=$$PWD python scripts/xml2rfc --cache tests/cache tests/input/rfc6787.xml --base tmp/ --raw --text --nroff --html --exp
	@groff -ms -Tascii tmp/rfc6787.nroff | ./fix.pl > tmp/rfc6787.nroff.txt
	@ diff -I '$(datetime_regex)' -I '$(version_regex)' tests/valid/rfc6787.raw.txt	tmp/rfc6787.raw.txt	|| { echo 'Diff failed for .raw.txt output'; exit 1; }
	@ diff -I '$(datetime_regex)' -I '$(version_regex)' tests/valid/rfc6787.txt	tmp/rfc6787.txt 	|| { echo 'Diff failed for .txt output'; exit 1; }
	@ diff -I '$(datetime_regex)' -I '$(version_regex)' tests/valid/rfc6787.nroff	tmp/rfc6787.nroff 	|| { echo 'Diff failed for .nroff output'; exit 1; }
	@ diff -I '$(datetime_regex)' -I '$(version_regex)' tests/valid/rfc6787.html	tmp/rfc6787.html 	|| { echo 'Diff failed for .html output'; exit 1; }
	@ diff -I '$(datetime_regex)' -I '$(version_regex)' tests/valid/rfc6787.exp.xml	tmp/rfc6787.exp.xml 	|| { echo 'Diff failed for .exp.xml output'; exit 1; }
	@diff -I '$(datetime_regex)' -I '$(version_regex)' tmp/rfc6787.nroff.txt tmp/rfc6787.txt	|| { echo 'Diff failed for .nroff.txt output'; exit 1; }

tests: test regressiontests

noflakestests: install pytests regressiontests

regressiontests: drafttest miektest rfctest

test2:	test
	@ PYTHONPATH=$$PWD python scripts/xml2rfc --cache tests/cache tests/input/rfc6635.xml --text --out tmp/rfc6635.txt	&& diff -I '$(datetime_regex)' -I '$(version_regex)' tests/valid/rfc6635.txt tmp/rfc6635.txt 

upload:
	rst2html changelog > /dev/null	# verify that the changelog is valid rst
	python setup.py sdist upload --sign
	rsync dist/xml2rfc-$(shell PYTHONPATH=$$PWD python scripts/xml2rfc --version).tar.gz /www/tools.ietf.org/tools/xml2rfc2/cli/
	toolpush /www/tools.ietf.org/tools/xml2rfc2/cli/


changes:
	svn log -r HEAD:950 | sed -n -e 's/^/  * /' -e '1,/^  \* Set version info and settings back to development mode/p' | egrep -v -- '^  \* (----------|r[0-9]+ |$$)' | head -n -1 | tac | sed 's/$$/\n/' | fold -s -w 76 | sed -r 's/^([^ ])/    \1/'

=== debian/changelog ===
xml2rfc (2.4.7-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1322793)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 23 May 2014 22:44:13 -0400

xml2rfc (2.4.7-1) unstable; urgency=medium

  * new upstream release
   - add knowledge of alternative bibxml repositories, given
     that the usual site xml.resource.org is currently down

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 22 May 2014 14:19:23 -0400

xml2rfc (2.4.6-1) UNRELEASED; urgency=medium

  * new upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 22 May 2014 10:32:02 -0400

xml2rfc (2.4.5-1) unstable; urgency=medium

  * new upstream version.
  * bumped Standards-Version to 3.9.5 (no changes needed)
  * added debian/upstream/signing-key.asc and pointed debian/watch to it

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 25 Feb 2014 11:30:56 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  dh-python,
  help2man
 Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://pypi.python.org/pypi/xml2rfc/
 
 Package: xml2rfc

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with=python2

debian/xml2rfc.1:
	PYTHONPATH=. help2man -n 'format RFCs using XML markup' -N ./scripts/xml2rfc -o $@
override_dh_installman: debian/xml2rfc.1
	dh_installman

# silly workaround for emacs turds left in upstream tarball
override_dh_clean:
	dh_clean --exclude=nroff~

override_dh_auto_test:
	pyflakes xml2rfc
	./test.py --verbose

## xml2rfc 2.4.8

=== debian/changelog ===
xml2rfc (2.4.8-1) unstable; urgency=medium

  * new upstream release.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 04 Jul 2014 17:58:20 -0400

## xml2rfc 2.5.1

=== Makefile ===
# Simple makefile which mostly encapsulates setup.py invocations.  Useful as
# much as documentation as it is for invocation.

#svnrev	:= $(shell svn info | grep ^Revision | awk '{print $$2}' )
datetime_regex = [0-9][0-9][0-9][0-9]-[0-9][0-9]-[0-9][0-9][T_ ][0-9][0-9]:[0-9][0-9]:[0-9][0-9]
version_regex =  [Vv]ersion [2N]\(\.[0-9N]\+\)\+\(\.dev\)\?


bin/python:
	echo "Install virtualenv here ($$PWD) in order to run tests locally."

install:
	python --version
	python setup.py --quiet install --skip-build
	rm -rf xml2rfc.egg-info/

test:	install flaketests pytests

flaketests:
	pyflakes xml2rfc
	[ -d tests/failed/ ] && rm -f tests/failed/*

pytests:
	python test.py --verbose

CHECKOUTPUT=	\
	groff -ms -Tascii tmp/$$doc.nroff | ./fix.pl | $$postnrofffix > tmp/$$doc.nroff.txt ; \
	for type in .raw.txt .txt .nroff .html .exp.xml ; do \
	diff -I '$(datetime_regex)' -I '$(version_regex)' tests/valid/$$doc$$type tmp/$$doc$$type || { echo "Diff failed for $$doc$$type output"; exit 1; } \
	done ; \
	diff -I '$(datetime_regex)' -I '$(version_regex)' tmp/$$doc.nroff.txt tmp/$$doc.txt || { echo 'Diff failed for .nroff.txt output'; exit 1; }

drafttest: cleantmp install
	@ xml2rfc --cache tests/cache --no-network tests/input/draft-template.xml --base tmp/ --raw --text --nroff --html --exp
	doc=draft-template ; postnrofffix="sed 1,2d" ; $(CHECKOUTPUT)

miektest: cleantmp install
	@ xml2rfc --cache tests/cache --no-network tests/input/draft-miek-test.xml --base tmp/ --raw --text --nroff --html --exp
	doc=draft-miek-test ; postnrofffix="sed 1,2d" ; $(CHECKOUTPUT)

cachetest: cleantmp install
	@ echo "Clearing cache ..."
	@ xml2rfc --cache .cache --clear-cache
	@ echo "Filling cache ..."
	@ xml2rfc --cache .cache tests/input/rfc6787.xml --base tmp/ --raw
	@ echo "Running without accessing network ..."
	@ xml2rfc --cache .cache tests/input/rfc6787.xml --no-network --base tmp/ --raw

rfctest: cleantmp bin/python install
	@ xml2rfc --cache tests/cache --no-network tests/input/rfc6787.xml --base tmp/ --raw --text --nroff --html --exp
	doc=rfc6787 ; postnrofffix="cat" ; $(CHECKOUTPUT)

unicodetest: cleantmp  bin/python install
	@ xml2rfc --cache tests/cache --no-network tests/input/unicode.xml --base tmp/ --raw --text --nroff --html --exp
	doc=unicode ; postnrofffix="sed 1,2d" ; $(CHECKOUTPUT)

cleantmp:
	[ -d tmp ] || mkdir -p tmp
	[ -d tmp ] && rm -f tmp/*

tests: test regressiontests cachetest

noflakestests: install pytests regressiontests

regressiontests: drafttest miektest rfctest

test2:	test
	@ xml2rfc --cache tests/cache --no-network tests/input/rfc6635.xml --text --out tmp/rfc6635.txt	&& diff -I '$(datetime_regex)' -I '$(version_regex)' tests/valid/rfc6635.txt tmp/rfc6635.txt 

upload:
	rst2html changelog > /dev/null	# verify that the changelog is valid rst
	python setup.py sdist upload --sign
	python setup.py install
	rsync dist/xml2rfc-$(shell xml2rfc --version).tar.gz /www/tools.ietf.org/tools/xml2rfc2/cli/
	toolpush /www/tools.ietf.org/tools/xml2rfc2/cli/


changes:
	svn log -r HEAD:950 | sed -n -e 's/^/  * /' -e '1,/^  \* Set version info and settings back to development mode/p' | egrep -v -- '^  \* (----------|r[0-9]+ |$$)' | head -n -1 | tac | sed 's/$$/\n/' | fold -s -w 76 | sed -r 's/^([^ ])/    \1/'

=== requirements.txt ===
lxml>=2.2.8
requests>=2.5.0
pyflakes >= 0.8.1

=== debian/changelog ===
xml2rfc (2.5.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to missing build-depends on python-requests (Closes:
    #815206)
    - Thanks to Logan Rosen of Ubuntu for the patch

 -- Scott Kitterman <scott@kitterman.com>  Sun, 28 Feb 2016 17:19:04 -0500

xml2rfc (2.5.1-1) unstable; urgency=medium

  [ Ondřej Surý ]
  * Imported Upstream version 2.5.1
  * Get rid of Makefile in dh_auto_configure target

  [ Daniel Kahn Gillmor ]
  * bump standards-version (no changes needed)
  * add Vcs-* fields in debian/rules

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 16 Feb 2016 08:39:27 -0500

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,12 @@
  python,
  python-setuptools,
  dh-python,
- help2man
+ help2man,
+ python-requests
 Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/xml2rfc.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xml2rfc.git
 Homepage: https://pypi.python.org/pypi/xml2rfc/
 
 Package: xml2rfc

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with=python2

debian/xml2rfc.1:
	ln -s run.py xml2rfc/xml2rfc
	PYTHONPATH=. help2man -n 'format RFCs using XML markup' -N ./xml2rfc/xml2rfc -o $@
	rm -f xml2rfc/xml2rfc

override_dh_installman: debian/xml2rfc.1
	dh_installman

override_dh_auto_configure:
	if [ -f Makefile ]; then mv Makefile Makefile.orig; fi

# silly workaround for emacs turds left in upstream tarball
override_dh_clean:
	if [ -f Makefile.orig ]; then mv Makefile.orig Makefile; fi
	dh_clean --exclude=xml~ --exclude=nroff~

override_dh_auto_test:
	pyflakes xml2rfc
	./test.py --verbose

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
 https://pypi.python.org/packages/source/x/xml2rfc/xml2rfc-([0-9.]*)\.tar.gz

## xml2rfc 2.8.5

=== debian/changelog ===
xml2rfc (2.8.5-1~bpo90+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Scott Kitterman <scott@kitterman.com>  Sun, 11 Feb 2018 22:14:42 -0500

xml2rfc (2.8.5-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Fri, 26 Jan 2018 14:40:52 -0500

xml2rfc (2.8.4-1) unstable; urgency=medium

  * New upstream release
    - Drop debian/patches/0001-Add-missing-test.py-from-upstream.patch, fixed
      upstream

 -- Scott Kitterman <scott@kitterman.com>  Fri, 19 Jan 2018 20:37:05 -0500

xml2rfc (2.8.3-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * Add myself to uploaders
  * Update Vcs-* to point at salsa.debian.org
  * Bump standards version to 4.1.3 without further change
  * New upstream release
    - Add debian/patches/0001-Add-missing-test.py-from-upstream.patch so that
      tests can still be run during build
  * Switch to use Python 3 vice Python
    - Add debian/patches/0002-Set-run.py-shebang-to-python3.patch so that man
      page regeneration during build works in python3
  * Update debian/copyright

  [ Daniel Kahn Gillmor ]
  * import fix to FTBFS (thanks, Scott Kitterman!)
  * bumped standards-version to 3.9.7 (no changes needed)
  * updated debian/watch

 -- Scott Kitterman <scott@kitterman.com>  Sat, 13 Jan 2018 20:52:06 -0500

=== debian/control ===
Source: xml2rfc
Section: non-free/text
Priority: optional
Build-Depends:
 debhelper (>= 9),
 pyflakes3,
 python3-lxml,
 python3,
 python3-setuptools,
 dh-python,
 help2man,
 python3-requests
X-Python3-Version: >= 3.4
Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Uploaders: Scott Kitterman <scott@kitterman.com>
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/xml2rfc-team/pkg-xml2rfc.git
Vcs-Browser: https://salsa.debian.org/xml2rfc-team/pkg-xml2rfc.git
Homepage: https://pypi.python.org/pypi/xml2rfc/

Package: xml2rfc
Architecture: all
Depends:
 python3-lxml,
 ${python3:Depends},
 ${misc:Depends}
Description: XML-based formatting tool for RFCs
 This package provides xml2rfc, a tool which creates text, HTML and
 nroff output in the format required for Internet-Drafts and RFCs.  The
 text and nroff output is suitable for input to the RFC editor.
 .
 The DTD used by the XML documents is described in RFC 2629.

## xml2rfc 2.9.6

=== debian/changelog ===
xml2rfc (2.9.6-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches
  * Update Vcs-* for move under /debian namespace on salsa.d.o

 -- Scott Kitterman <scott@kitterman.com>  Fri, 23 Feb 2018 02:01:21 -0500

xml2rfc (2.9.2-1) unstable; urgency=medium

  * New upstream release
  * Add python3-intervaltree to build-depends - new test dependency

 -- Scott Kitterman <scott@kitterman.com>  Sun, 11 Feb 2018 22:51:22 -0500

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Build-Depends:
  debhelper (>= 9),
  pyflakes3,
+ python3-intervaltree,
  python3-lxml,
  python3,
  python3-setuptools,
@@ -14,8 +15,8 @@
 Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Uploaders: Scott Kitterman <scott@kitterman.com>
 Standards-Version: 4.1.3
-Vcs-Git: https://salsa.debian.org/xml2rfc-team/pkg-xml2rfc.git
-Vcs-Browser: https://salsa.debian.org/xml2rfc-team/pkg-xml2rfc.git
+Vcs-Git: https://salsa.debian.org/debian/pkg-xml2rfc.git
+Vcs-Browser: https://salsa.debian.org/debian/pkg-xml2rfc
 Homepage: https://pypi.python.org/pypi/xml2rfc/
 
 Package: xml2rfc

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 %:
-	dh $@ --with=python2
+	dh $@ --with=python3 --buildsystem=pybuild
 
 debian/xml2rfc.1:
 	ln -s run.py xml2rfc/xml2rfc
@@ -19,5 +19,5 @@
 	dh_clean --exclude=xml~ --exclude=nroff~
 
 override_dh_auto_test:
-	pyflakes xml2rfc
-	./test.py --verbose
+	pyflakes3 xml2rfc
+	python3 test.py --verbose

## xml2rfc 2.9.8

=== debian/changelog ===
xml2rfc (2.9.8-1) unstable; urgency=medium

  * New upstream release
  * Bump standards-version to 4.1.4 without further change
  * Remove ancient X-Python3-Version field from debian/control
  * Fix version check in run.py to include python3 support (Closes:
    #896920)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 20 Jun 2018 18:55:12 -0400

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,9 @@
  dh-python,
  help2man,
  python3-requests
-X-Python3-Version: >= 3.4
 Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Uploaders: Scott Kitterman <scott@kitterman.com>
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-Git: https://salsa.debian.org/debian/pkg-xml2rfc.git
 Vcs-Browser: https://salsa.debian.org/debian/pkg-xml2rfc
 Homepage: https://pypi.python.org/pypi/xml2rfc/

## xml2rfc 2.15.5

=== requirements.txt ===
google-i18n-address>=2.3.2
html5lib>=1.0.1
intervaltree>=2.1.0,!=3.0.0
lxml>=2.2.8
pycountry>=1.8
pyflakes>=0.8.1
requests>=2.5.0
setuptools>=18.0
six>=1.4.1

=== debian/changelog ===
xml2rfc (2.15.5-1) unstable; urgency=medium

  * new upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 21 Dec 2018 16:52:14 -0500

xml2rfc (2.15.4-1) unstable; urgency=medium

  * new upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 18 Dec 2018 13:38:36 -0500

xml2rfc (2.15.3-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 07 Dec 2018 03:27:29 +0300

xml2rfc (2.15.2-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 05 Dec 2018 02:29:13 +0300

xml2rfc (2.13.1-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 19 Nov 2018 13:43:33 -0500

xml2rfc (2.12.1-2) unstable; urgency=medium

  * refresh IETF-Trust-License-Policy.txt
  * include full IETF Trust Policy in debian/copyright

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 30 Oct 2018 10:59:37 -0400

xml2rfc (2.12.1-1) unstable; urgency=medium

  * New upstream release

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Daniel Kahn Gillmor ]
  * move to DEP-14 packaging
  * wrap-and-sort -ast
  * including new python dependencies
  * standards-version: bump to 4.2.1 (no changes needed)
  * move to debhelper 11
  * Rules-Requires-Root: no
  * drop patch for python version check (already applied upstream)
  * d/changelog: strip trailing whitespace
  * do not run tests if nocheck is set in DEB_BUILD_OPTIONS
  * mark as autobuildable by debian, despite being in nonfree
  * fix spelling of "don't"
  * added simple autopkgtest
  * clean up debian/rules

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 29 Oct 2018 10:45:19 -0400

=== debian/control ===
Source: xml2rfc
Section: non-free/text
Priority: optional
Build-Depends:
 debhelper (>= 11~),
 dh-python,
 help2man,
 pyflakes3,
 python3,
 python3-google-i18n-address,
 python3-html5lib,
 python3-intervaltree,
 python3-lxml,
 python3-pycountry,
 python3-requests,
 python3-setuptools,
Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Uploaders:
 Scott Kitterman <scott@kitterman.com>,
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/debian/pkg-xml2rfc.git
Vcs-Browser: https://salsa.debian.org/debian/pkg-xml2rfc
Homepage: https://pypi.python.org/pypi/xml2rfc/
Rules-Requires-Root: no
XS-Autobuild: yes

Package: xml2rfc
Architecture: all
Depends:
 python3-lxml,
 ${misc:Depends},
 ${python3:Depends},
Description: XML-based formatting tool for RFCs
 This package provides xml2rfc, a tool which creates text, HTML and
 nroff output in the format required for Internet-Drafts and RFCs.  The
 text and nroff output is suitable for input to the RFC editor.
 .
 The DTD used by the XML documents is described in RFC 2629.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with=python3 --buildsystem=pybuild

debian/xml2rfc.1:
	ln -s run.py xml2rfc/xml2rfc
	PYTHONPATH=. help2man -n 'format RFCs using XML markup' -N ./xml2rfc/xml2rfc -o $@
	rm -f xml2rfc/xml2rfc

override_dh_installman: debian/xml2rfc.1
	dh_installman

# silly workaround for emacs turds left in upstream tarball
override_dh_clean:
	dh_clean --exclude=xml~ --exclude=nroff~ --exclude=svn-prop.tmp~

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	pyflakes3 xml2rfc
	python3 test.py --verbose
endif

=== debian/tests/control ===
Tests: run-pytest
Depends: @
Restrictions: allow-stderr

## xml2rfc 2.39.0

=== debian/changelog ===
xml2rfc (2.39.0-1) unstable; urgency=medium

  * New upstream release
  * Bump standards-version to 4.5.0 without further change

 -- Scott Kitterman <scott@kitterman.com>  Tue, 04 Feb 2020 13:43:15 -0500

xml2rfc (2.38.1-1) unstable; urgency=medium

  * New upstream relaese

 -- Scott Kitterman <scott@kitterman.com>  Tue, 21 Jan 2020 22:01:49 -0500

xml2rfc (2.38.0-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches

 -- Scott Kitterman <scott@kitterman.com>  Fri, 17 Jan 2020 01:59:19 -0500

xml2rfc (2.37.3-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Tue, 24 Dec 2019 13:09:34 -0500

xml2rfc (2.37.2-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Fri, 20 Dec 2019 00:46:02 -0500

xml2rfc (2.37.1-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Mon, 16 Dec 2019 01:36:22 -0500

xml2rfc (2.37.0-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Tue, 10 Dec 2019 23:11:00 -0500

xml2rfc (2.35.0-1) unstable; urgency=medium

  * New upstream release
  * Run autopkgtest against all supported python3 versions so that if there
    are issues associated with a new version, they are detected before it is
    default

 -- Scott Kitterman <scott@kitterman.com>  Sun, 17 Nov 2019 23:55:03 -0500

xml2rfc (2.34.0-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Sun, 27 Oct 2019 14:30:34 -0400

xml2rfc (2.33.0-1) unstable; urgency=medium

  * New upstream release
  * Drop d/p/0002-fix-spelling-of-dont.patch, no longer needed
  * Switch to using debhelper-compat in debian/comntrol vice d/compat and
    update to compat 12

 -- Scott Kitterman <scott@kitterman.com>  Sat, 19 Oct 2019 00:39:40 -0400

xml2rfc (2.32.0-1) unstable; urgency=medium

  * New upstream release
  * Bump standards-version to 4.4.1 without further change

 -- Scott Kitterman <scott@kitterman.com>  Mon, 07 Oct 2019 07:56:21 -0400

xml2rfc (2.31.0-1) unstable; urgency=medium

  * New upstream relaese

 -- Scott Kitterman <scott@kitterman.com>  Sat, 28 Sep 2019 01:32:45 -0400

xml2rfc (2.30.0-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Sun, 22 Sep 2019 18:59:47 -0400

xml2rfc (2.29.1-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Thu, 19 Sep 2019 03:24:50 -0400

xml2rfc (2.28.0-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Mon, 16 Sep 2019 02:52:16 -0400

xml2rfc (2.25.0-1) unstable; urgency=medium

  * New upstream release
  * Update depends for new release (add python3-kitchen to build-depends/
    depends and fonts-noto-unhinted, python3-dict2xml, python3-pypdf2, and
    weasyprint to recommends to support new PDF output option)
  * Drop dh_auto_test tests since they require network access, depend on
    autopkgtest instead
  * Update autopkgtest depends so PDF tests work
  * Bump standards-version to 4.4.0 without further change

 -- Scott Kitterman <scott@kitterman.com>  Wed, 28 Aug 2019 01:30:28 -0400

## xml2rfc 2.40.0

=== requirements.txt ===
google-i18n-address>=2.3.2
html5lib>=1.0.1
intervaltree>=2.1.0,!=3.0.0
kitchen>=1.2.6
lxml>=2.2.8,!=4.3.1
pycountry>=1.8,!=19.7.15
pyflakes>=0.8.1
requests>=2.5.0
setuptools>=18.0
six>=1.4.1

=== debian/changelog ===
xml2rfc (2.40.0-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Fri, 21 Feb 2020 01:18:30 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: non-free/text
 Priority: optional
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  dh-python,
  help2man,
  pyflakes3,
@@ -10,6 +10,7 @@
  python3-google-i18n-address,
  python3-html5lib,
  python3-intervaltree,
+ python3-kitchen,
  python3-lxml,
  python3-pycountry,
  python3-requests,
@@ -17,7 +18,7 @@
 Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Uploaders:
  Scott Kitterman <scott@kitterman.com>,
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/debian/pkg-xml2rfc.git
 Vcs-Browser: https://salsa.debian.org/debian/pkg-xml2rfc
 Homepage: https://pypi.python.org/pypi/xml2rfc/
@@ -30,6 +31,14 @@
  python3-lxml,
  ${misc:Depends},
  ${python3:Depends},
+Recommends:
+ fonts-noto-cjk,
+ fonts-noto-core,
+ fonts-noto-unhinted,
+ python3-cairo,
+ python3-dict2xml,
+ python3-pypdf2,
+ weasyprint
 Description: XML-based formatting tool for RFCs
  This package provides xml2rfc, a tool which creates text, HTML and
  nroff output in the format required for Internet-Drafts and RFCs.  The

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,4 @@
 	dh_clean --exclude=xml~ --exclude=nroff~ --exclude=svn-prop.tmp~
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	pyflakes3 xml2rfc
-	python3 test.py --verbose
-endif
+	# Needs network access, rely on autopkgtest instead
